=== debian/changelog ===
ubuntu-docs (6.10.4.2) edgy-updates; urgency=low

  * Updated verified by Michael Vogt.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu,  1 Mar 2007 10:30:10 +0100

ubuntu-docs (6.10.4.1) edgy-proposed; urgency=low

  * Stable release update approved by Colin Watson - bug 74555
  * Some missing entities causing validity havoc in our docbook - bug 70958
  * Fixing invalidity of contribute.xml
  * Updated German browser homepage
  * Install French translation of Packaging guide - bug 68343
  * Fixes to bind9 instructions in server guide - bug 72414

 -- Matthew East <mdke@ubuntu.com>  Mon, 8 Jan 2007 20:53:00 +0000
