=== debian/changelog ===
ubuntu-docs (7.04.4) feisty; urgency=low

  * debian/control: Add missing Pre-depends: on dpkg for bzip2 compression
    support.
  * debian/rules: Use the same 'poorly translated' barrier for the server
    parts of ubuntu-doc, and raise the bar to 30%.
  * debian/rules: Add -o /dev/null to msgfmt calls to avoid writing
    messages.mo into the root directory.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 11 Apr 2007 10:00:01 +0200

ubuntu-docs (7.04.3) feisty; urgency=low

  * Update translations from Rosetta
  * Install translations for ubuntu-serverguide
  * Unbreak about-ubuntu panel menu entry
  * [Martin Pitt]:
    - debian/rules: Do not ship documents which are less than 25% translated.
      They are useless for non-English speakers anyway and bloat the package.
    - debian/control: Add bc build dependency (needed for the percentage 
      calculation).

 -- Matthew East <mdke@ubuntu.com>  Sun,  8 Apr 2007 10:26:54 +0100

ubuntu-docs (7.04.2) feisty; urgency=low

  * Package diet to stop being so ridiculously space inefficient:
    - debian/rules: Use bzip2 compression.
    - Add symlink-dupes and run it in debian/rules, to symlink duplicate
      files. Add fdupes build dependency for that.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  5 Apr 2007 12:32:17 +0200

ubuntu-docs (7.04.1) feisty; urgency=low

  * Adding translations for all documents
  * [Daniel Holbach]
    - debian/control: change gnome2-user-guide to gnome-user-guide.

 -- Matthew East <mdke@ubuntu.com>  Wed,  4 Apr 2007 08:00:57 +0100

ubuntu-docs (7.03.3) feisty; urgency=low

  * A few new strings approved as per DocumentationStringFreeze
  * Refreshing pot templates
  * Removing pot template for switching guide

 -- Matthew East <matt@kalliope>  Thu, 15 Mar 2007 08:25:46 +0000

ubuntu-docs (7.03.2) feisty; urgency=low

  * New material, mainly from Phil Bull
  * Refreshing pot templates
  * String freeze now in effect

 -- Matthew East <mdke@ubuntu.com>  Thu,  8 Mar 2007 08:20:38 +0000

ubuntu-docs (7.03.1) feisty; urgency=low

  * Two new documents - basic-commands and desktop-effects
  * Refreshing pot templates

 -- Matthew East <matt@kalliope>  Sat,  3 Mar 2007 11:03:55 +0000

ubuntu-docs (7.02.3) feisty; urgency=low

  * split out serverguide as a standalone .deb
    - moved install, links, postinst, and prerm to ubuntu-docs.*
    - added ubuntu-serverguide binary section to debian/control
    - cleaned up long descriptions to reflect what is actually
      shipped.
    - added ubuntu-serverguide build and install rules
  * split out packagingguide as standalone .deb
  * updated debian/copyright to reflect above

 -- Jordan Mantha <mantha@ubuntu.com>  Wed, 21 Feb 2007 02:10:28 -0800

ubuntu-docs (7.02.2) feisty; urgency=low

  * Adding a "Files, Folders and Documents" topic.
  * Various text updates

 -- Matthew East <matt@kalliope>  Fri,  9 Feb 2007 08:21:45 +0000

ubuntu-docs (7.02.1) feisty; urgency=low

  * Installing documents within the gnome/help scheme
    - for easier linking

 -- Matthew East <mdke@ubuntu.com>  Fri,  2 Feb 2007 00:28:53 +0000

ubuntu-docs (7.01.3) feisty; urgency=low

  * Rearranging directory structure and adding translation templates

 -- Matthew East <mdke@ubuntu.com>  Sat, 27 Jan 2007 07:53:31 -0500

ubuntu-docs (7.01.2) feisty; urgency=low

  * adding new advanced-topics category with links to man pages

 -- Matthew East <mdke@ubuntu.com>  Wed, 24 Jan 2007 00:14:21 +0000

ubuntu-docs (7.01.1) feisty; urgency=low

  * Adding gnome2-user-guide and yelp to Depends
  * Two new top level topics

 -- Matthew East <mdke@ubuntu.com>  Tue,  9 Jan 2007 00:08:10 +0000

ubuntu-docs (6.12.2) feisty; urgency=low

  * Tweaking of which documents show up on the front page
  * Various text updates

 -- Matthew East <mdke@ubuntu.com>  Sat, 23 Dec 2006 01:11:53 +0000

ubuntu-docs (6.12.1) feisty; urgency=low

  * Serious revamping of structure of documentation, accordingly
	 changes made to packaging. Please do some serious testing.

 -- Matthew East <mdke@ubuntu.com>  Sat, 16 Dec 2006 17:00:00 +0000

ubuntu-docs (6.11.2) feisty; urgency=low

  * Changing the packaging process to point mainly at debian/rules rather
	 than debian/install so we don't have to keep adding files manually to the
	 latter.

 -- Matthew East <mdke@ubuntu.com>  Sun, 19 Nov 2006 10:39:00 +0000

ubuntu-docs (6.11.1) edgy-updates; urgency=low

  * Some missing entities causing validity havoc in our docbook
  * Fixing invalidity of contribute.xml

 -- Matthew East <mdke@ubuntu.com>  Sat, 18 Nov 2006 20:53:00 +0000
