## ubuntu-docs 7.10.4

=== ubuntu/Makefile ===
--- 
+++ 
@@ -109,7 +109,8 @@
 
 serverguide: style
 
-	for po in `ls ../generic/serverguide/po/`; do lang=$$(basename $$po .po); echo "Building html for $$lang"; xsltproc --xinclude -o $(BASE)serverguide/$$lang/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/$$lang/serverguide.xml; done
+	for i in ../generic/serverguide/po/*.po ; do y=$$(basename $$i .po) ; echo $$y ; xsltproc --xinclude -o $(BASE)serverguide/$$y/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/$$y/serverguide.xml ; done
+	xsltproc --xinclude -o $(BASE)serverguide/C/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/C/serverguide.xml
 
 package: style
