=== debian/changelog ===
ubuntu-docs (7.10.4) gutsy; urgency=low

  * Fix broken link in "windows" document (LP: #144796)

 -- Matthew East <mdke@ubuntu.com>  Fri, 12 Oct 2007 08:36:57 +0100

ubuntu-docs (7.10.3) gutsy; urgency=low

  * Advanced Topics - changing link to more useful doc for programming reference

 -- Matthew East <mdke@ubuntu.com>  Sun, 07 Oct 2007 12:34:41 +0100

ubuntu-docs (7.10.2) gutsy; urgency=low

  * New translation export from rosetta
  * Restoring translations over 40% complete
  * Including all languages in ubuntu-serverguide package (LP: #110863)
  * Last package upload before gutsy (LP: #149993)

 -- Matthew East <mdke@ubuntu.com>  Sat, 06 Oct 2007 15:25:19 +0100

ubuntu-docs (7.10.1) gutsy; urgency=low

  * Adding translations to source package
  * Don't install libs/pdf directory 
  * Restore symlink-dupes script to eliminate duplicate files (LP: 149040)
  * Fix debian/rules to take account of new location for pot files (thanks to Martin Pitt)
  * Only install translations which are >90% complete (temporary measure to keep package size small)

 -- Matthew East <mdke@ubuntu.com>  Thu, 04 Oct 2007 08:17:06 +0100

ubuntu-docs (7.09.3) gutsy; urgency=low

  * Strip out unwanted directories from the source package in 
		debian/rules rather than manually.

 -- Matthew East <mdke@ubuntu.com>  Mon, 17 Sep 2007 08:46:53 +0100

ubuntu-docs (7.09.2) gutsy; urgency=low

  * New SVN checkout
  * String Freeze in effect, refreshing pot templates

 -- Matthew East <mdke@ubuntu.com>  Fri, 14 Sep 2007 08:23:05 +0100

ubuntu-docs (7.09.1) gutsy; urgency=low

  * New SVN checkout
  * Changing 7.04 to 7.10 in browser homepage

 -- Matthew East <mdke@ubuntu.com>  Tue, 28 Aug 2007 08:14:03 +0100

ubuntu-docs (7.07.2) gutsy; urgency=low

  * New SVN checkout.

 -- Jordan Mantha <mantha@ubuntu.com>  Wed, 15 Aug 2007 13:35:31 -0700

ubuntu-docs (7.07.1) gutsy; urgency=low

  * New SVN checkout.
  * debian/rules: remove symlink-dupes bits.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 04 Jul 2007 09:30:59 +0200
