=== debian/changelog ===
ubuntu-docs (7.10.5) gutsy-proposed; urgency=low

  * Updating translations from Rosetta

 -- Matthew East <mdke@ubuntu.com>  Fri, 29 Feb 2008 23:45:00 +0000
