=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 preptrans=prepare-firefox-startpage-translations
 preptransdir=debian/ubuntu-docs/usr/share/ubuntu-docs/common
 
+clean::
+	@grep -E ^"\*" debian/README.Debian | sed 's/^\*\ //' | xargs rm -rf
+	@echo "---"
+
 common-binary-post-install-indep::
 	mv debian/ubuntu-docs/usr/share/ubuntu-artwork/home/index.html debian/ubuntu-docs/usr/share/ubuntu-artwork/home/firefox-index.html
 	$(install755) -d $(preptransdir)
@@ -27,15 +31,15 @@
 		/usr/share/ubuntu-artwork/home/locales-ubuntu \
 		../index.html
 
-# Install the documents; skip documents which are less than 30% translated
+# Install the documents; skip documents which are less than 40% translated
 
-		for doc in `cat ubuntu/libs/shipped-docs`; do \
-			numstrings=`LANG=C msgfmt --statistics ubuntu/$$doc/po/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
+	set -x; for doc in `cat ubuntu/libs/shipped-docs`; do \
+		numstrings=`LANG=C msgfmt --statistics ubuntu/$$doc/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
 			for lang in `ls ubuntu/$$doc/`; do \
 				if [ -e ubuntu/$$doc/po/$$lang.po ]; then \
 					translated=`LANG=C msgfmt -o /dev/null --statistics ubuntu/$$doc/po/$$lang.po 2>&1| cut -f1 -d\ `; \
-					if [ "`echo "$$translated./$$numstrings > 0.3" | bc -l`" = "0" ]; then \
-						echo "$$doc $$lang is less than 30% translated, skipping"; \
+					if [ "`echo "$$translated./$$numstrings > 0.4" | bc -l`" = "0" ]; then \
+						echo "$$doc $$lang is less than 40% translated, skipping"; \
 						continue; \
 					fi; \
 				fi; \
@@ -53,12 +57,12 @@
 # Server material is done slightly differently
 
 		for doc in server; do \
-			numstrings=`LANG=C msgfmt --statistics generic/serverguide/po/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
+            numstrings=`LANG=C msgfmt --statistics generic/serverguide/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
 			for lang in `ls generic/$$doc/`; do \
 				if [ -e generic/serverguide/po/$$lang.po ]; then \
 					translated=`LANG=C msgfmt -o /dev/null --statistics generic/serverguide/po/$$lang.po 2>&1| cut -f1 -d\ `; \
-					if [ "`echo "$$translated./$$numstrings > 0.30" | bc -l`" = "0" ]; then \
-						echo "$$doc $$lang is less than 30% translated, skipping"; \
+					if [ "`echo "$$translated./$$numstrings > 0.40" | bc -l`" = "0" ]; then \
+						echo "$$doc $$lang is less than 40% translated, skipping"; \
 						continue; \
 					fi; \
 				fi; \
@@ -66,12 +70,16 @@
 				mkdir -p debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang; \
 				cp -r generic/$$doc/$$lang/*xml debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
 				fi; \
+				if [ -e generic/$$doc/$$lang/*.omf ]; then \
+					mkdir -p debian/ubuntu-docs/usr/share/omf/$$doc; \
+					cp generic/$$doc/$$lang/*omf debian/ubuntu-docs/usr/share/omf/$$doc/; \
+				fi; \
 			done; \
 		done; \
 
 # Common documents
 
-	cp -r common debian/ubuntu-docs/usr/share/ubuntu-docs/ 
+		cp -r common debian/ubuntu-docs/usr/share/ubuntu-docs/ 
 
 # Scrollkeeper loving
 
@@ -84,7 +92,7 @@
 	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/C
 	cp -R build/ubuntu/common/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
 	cp -R build/ubuntu/images/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
-	cp -R generic/serverguide/sample/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
+	cp -R generic/serverguide/sample/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
 	cp ubuntu/libs/ubuntu-book.css debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/common/
 	cp -R build/ubuntu/serverguide/* debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
