## ubuntu-docs 8.04.2~hardy

=== ubuntu/Makefile ===
--- 
+++ 
@@ -62,17 +62,9 @@
 
 gdeb: 
 
-all: clean style server index serverguide switching status package
+all: clean style index serverguide switching status contributors
 
-	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; done
-
-website: clean style server index
-
-	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; done
-
-server:
-
-	xsltproc --xinclude -o $(BASE)server/C/index.html $(UBUNTUCHUNKXSL) ../generic/server/C/server.xml
+	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; sed -i $(BASE)$$doc/C/*legal.html -e "s#\.\./common/C/contributors\.xml#common/C/contributors\.html#g"; done
 
 index:
 
@@ -113,14 +105,48 @@
 
 serverguide: style
 
-	for i in ../generic/serverguide/po/*.po ; do y=$$(basename $$i .po) ; echo $$y ; xsltproc --xinclude -o $(BASE)serverguide/$$y/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/$$y/serverguide.xml ; done
 	xsltproc --xinclude -o $(BASE)serverguide/C/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/C/serverguide.xml
+	sed -i ../build/ubuntu/serverguide/C/*legal.html -e "s#\.\./common/C/contributors\.xml#common/C/contributors\.html#g"
 
-package: style
-
-	xsltproc --xinclude -o $(BASE)packagingguide/C/index.html $(UBUNTUCHUNKXSL) ../generic/packagingguide/C/packagingguide.xml
 
 status: style
 
 	xsltproc --xinclude -o $(BASE)status/sg-report.xml $(wOS) ../generic/serverguide/C/serverguide.xml
 	xsltproc --xinclude -o $(BASE)status/sg-report.html $(NWDBXSL) $(BASE)status/sg-report.xml
+
+contributors: style
+
+	xsltproc --stringparam root.filename "contributors" -o $(BASE)common/C/ $(UBUNTUCHUNKXSL) ../common/C/contributors.xml
+
+index-test: style
+
+	xsltproc --xinclude -o $(BASE)index-test/ $(UBUNTUCHUNKXSL) index2.xml
+	sed -i $(BASE)index-test/*.html -e "s#ghelp:add-applications#add-applications.html#g"
+
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:administrative##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:users-admin##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:basic-commands##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:programming##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#panels##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#menubar##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#prefs##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:desktop-effects##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:add-applications\#synaptic##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:hardware\#restricted-manager##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#nautilus##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:hardware\#disks##g"
+#
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
+#
+
