=== debian/changelog ===
ubuntu-docs (8.04.2~hardy) hardy; urgency=low

  * Adding symlinks to fix offline FF startpage for several languages

 -- Matthew East <mdke@ubuntu.com>  Mon, 21 Apr 2008 22:33:10 +0100

ubuntu-docs (8.04.1) hardy; urgency=low

  * New bzr checkout (LP: #110983, LP: #210878)
  * Update translations from Launchpad (LP: #214518)
  * Fix broken translations
  * Grammar fixes for serverguide
  * Should be last upload for hardy

 -- Matthew East <mdke@ubuntu.com>  Sat, 12 Apr 2008 11:32:30 +0100

ubuntu-docs (8.03.4) hardy; urgency=low

  * Install omf file for serverguide (LP: #208134)

 -- Matthew East <mdke@ubuntu.com>  Fri, 28 Mar 2008 08:12:48 +0000

ubuntu-docs (8.03.3) hardy; urgency=low

  * New bzr checkout (LP: #181236, LP: #203198, LP: #204163, LP: #204666)
  * String freeze now in effect
  * Refresh pot files

 -- Matthew East <mdke@ubuntu.com>  Fri, 21 Mar 2008 14:34:49 +0000

ubuntu-docs (8.03.2) hardy; urgency=low

  * New bzr checkout (LP: #176678, LP: #118963, LP: #108083, LP: #202312)
  * Replacing "server" document with "serverguide"
  * Refresh pot files
  * Fixing debian/rules to filter translations less than 40%

 -- Matthew East <mdke@ubuntu.com>  Sun, 16 Mar 2008 22:16:42 +0000

ubuntu-docs (8.03.1) hardy; urgency=low

  * New bzr checkout (LP: #49435, LP: #197557, LP: #172650, LP: #192202,
    LP: #144788, LP: #162446, LP: #183339, LP: #195882)
  * Include html version of contributors in ubuntu-serverguide (LP: #88814)
  * Refresh pot templates

 -- Matthew East <mdke@ubuntu.com>  Sun, 09 Mar 2008 18:37:08 +0000

ubuntu-docs (8.02.2) hardy; urgency=low

  * Adding translations for all documents
  * Amending path for pot templates, as requested by carlos

 -- Matthew East <mdke@ubuntu.com>  Wed, 20 Feb 2008 07:56:10 +0000

ubuntu-docs (8.02.1) hardy; urgency=low

  * New bzr checkout - loads of text fixes and improvements (LP: #183148,
    LP: #183025, LP: #178064, LP: #160435, LP: #158016, LP: #146794, 
    LP: #144795, LP: #185867, LP: #163188, LP: #150167, LP: #148372, 
    LP: #144928, LP: #141491, LP: #141444, LP: #138891, LP: #172565, 
    LP: #144285, LP: #150641, LP: #176678)
  * First release for hardy

 -- Matthew East <mdke@ubuntu.com>  Sat, 16 Feb 2008 18:31:20 +0000
