=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 # Install the documents; skip documents which are less than 40% translated
 
 	set -x; for doc in `cat ubuntu/libs/shipped-docs`; do \
-		numstrings=`LANG=C msgfmt --statistics ubuntu/$$doc/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
+		numstrings=`LANG=C msgfmt --statistics ubuntu/$$doc/po/$$doc.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
 			for lang in `ls ubuntu/$$doc/`; do \
 				if [ -e ubuntu/$$doc/po/$$lang.po ]; then \
 					translated=`LANG=C msgfmt -o /dev/null --statistics ubuntu/$$doc/po/$$lang.po 2>&1| cut -f1 -d\ `; \
@@ -56,8 +56,8 @@
 
 # Server material is done slightly differently
 
-		for doc in server; do \
-            numstrings=`LANG=C msgfmt --statistics generic/serverguide/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
+	set -x;	for doc in serverguide; do \
+	       numstrings=`LANG=C msgfmt --statistics generic/serverguide/po/*.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
 			for lang in `ls generic/$$doc/`; do \
 				if [ -e generic/serverguide/po/$$lang.po ]; then \
 					translated=`LANG=C msgfmt -o /dev/null --statistics generic/serverguide/po/$$lang.po 2>&1| cut -f1 -d\ `; \
@@ -86,26 +86,17 @@
 	dh_scrollkeeper 
 
 build/ubuntu-serverguide::
-	cd ubuntu; $(MAKE) serverguide
+	cd ubuntu; $(MAKE) serverguide; $(MAKE) contributors
 
 install/ubuntu-serverguide::
 	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/C
+	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/common/C
 	cp -R build/ubuntu/common/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
 	cp -R build/ubuntu/images/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
 	cp -R generic/serverguide/sample/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
 	cp ubuntu/libs/ubuntu-book.css debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/common/
 	cp -R build/ubuntu/serverguide/* debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
-
-build/packaging-guide::
-	cd ubuntu; $(MAKE) package
-
-install/packaging-guide::
-	mkdir -p debian/packaging-guide/usr/share/packaging-guide/html/C
-	cp -R build/ubuntu/common/ debian/packaging-guide/usr/share/packaging-guide/
-	cp -R build/ubuntu/images/ debian/packaging-guide/usr/share/packaging-guide/
-	cp -R generic/packagingguide/files/ debian/packaging-guide/usr/share/packaging-guide/
-	cp ubuntu/libs/ubuntu-book.css debian/packaging-guide/usr/share/packaging-guide/common/
-	cp -R build/ubuntu/packagingguide/C/*.html debian/packaging-guide/usr/share/packaging-guide/html/C/
+	cp -R build/ubuntu/common/C/contributors.html debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/common/C/
 
 binary-fixup/ubuntu-docs::
 	(cd debian/ubuntu-docs; ../../symlink-dupes)
